package com.example.demo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public abstract class People<PersonType extends Person> implements Iterable<PersonType> {
    private List<PersonType> personList = new ArrayList<>();

    public People(){

    }

    public People(List<PersonType> personList) {
        this.personList = personList;
    }

    public People(PersonType...args){
        this.personList.addAll(Arrays.asList(args));
    }

    public void add(PersonType person){
        personList.add(person);
    }

    public void remove(PersonType person){
        personList.remove(person);
    }

    public int size(){
        return personList.size();
    }

    public void clear(){
        personList.clear();
    }

    public void addAll(Iterable<PersonType> persons){
        persons.forEach(personList::add);
    }

    public PersonType findById(long id){
        for (PersonType person: personList) {
            if (person.getId() == id){
                return person;
            }
        }
        return null;
    }

    public List<PersonType> findAll(){
        return personList;
    }
}
