package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class ClassroomConfigTest {
    private Classroom currentCohort, previousCohort;
    private Students currentStudents;
    private Students previousStudents;
    private Instructors instructors;

    @Autowired
    ClassroomConfig classroomConfig;

    @Before
    public void before(){
        currentStudents = new Students();
        previousStudents = new Students();
        instructors = new Instructors();
        currentCohort = classroomConfig.currentCohort(instructors, currentStudents);
        previousCohort = classroomConfig.previousCohort(instructors, previousStudents);

    }

    @Test
    public void testCurrent(){
        Assert.assertEquals(currentCohort, classroomConfig.currentCohort(instructors, currentStudents));
        Assert.assertNotEquals(currentCohort, previousCohort);
    }

    @Test
    public void testPrevious(){
        Assert.assertEquals(previousCohort, classroomConfig.previousCohort(instructors, currentStudents));
    }
}
