package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class InstructorConfigTest {

    private Instructors instructors, tcUkInstructors, tcUsaInstructors;

    @Autowired
    InstructorsConfig instructorsConfig;

    @Before
    public void before(){
       instructors =  instructorsConfig.instructors();
       tcUkInstructors = instructorsConfig.tcUkInstructors();
       tcUsaInstructors = instructorsConfig.tcUsaInstructors();
    }

    @Test
    public void testInstructorLoad(){
        Assert.assertNotNull(instructorsConfig);
    }

    @Test
    public void testInstructors(){
        Assert.assertEquals(instructors, instructorsConfig.instructors());
        Assert.assertNotEquals(instructors, tcUkInstructors);
        Assert.assertNotEquals(instructors, tcUsaInstructors);
    }

    @Test
    public void testUkInstructors() {
        Assert.assertEquals(tcUkInstructors, instructorsConfig.tcUkInstructors());
    }

    @Test
    public void testUsaInstructors() {
        Assert.assertEquals(tcUsaInstructors, instructorsConfig.tcUsaInstructors());
    }

}
